Package wx :: Module gizmos :: Class LEDNumberCtrl

[frames | no frames]

## Type LEDNumberCtrl

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            LEDNumberCtrl

Proxy of C++ LEDNumberCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
bool | ``Create`(self, parent, id, pos, size, style)` Do the 2nd phase and create the GUI control.
int | ``GetAlignment`(self)` Get the control alignment (left/right/centre, top/bottom/centre)
bool | `GetDrawFaded(self)`
String | `GetValue(self)`
| `SetAlignment(self, Alignment, Redraw)`
| `SetDrawFaded(self, DrawFaded, Redraw)`
| `SetValue(self, Value, Redraw)`

Property Summary
| `Alignment`: See `GetAlignment` and `SetAlignment`
| `DrawFaded`: See `GetDrawFaded` and `SetDrawFaded`
| `thisown`: The membership flag
| `Value`: See `GetValue` and `SetValue`

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxLED_ALIGN_LEFT|wxLED_DRAW_FADED)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxLED_ALIGN_LEFT|wxLED_DRAW_FADED)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

  Returns:
    bool
  Overrides:
    `wx.Control.Create`

### GetAlignment(self)

Get the control alignment (left/right/centre, top/bottom/centre)

  Returns:
    int
  Overrides:
    `wx.Control.GetAlignment`

Property Details

### Alignment

See `GetAlignment` and `SetAlignment`

  Get Method:
    `GetAlignment`(self)
  Set Method:
    `SetAlignment`(self, Alignment, Redraw)

### DrawFaded

See `GetDrawFaded` and `SetDrawFaded`

  Get Method:
    `GetDrawFaded`(self)
  Set Method:
    `SetDrawFaded`(self, DrawFaded, Redraw)

### thisown

The membership flag

  Get Method:
    unknown--1217642228(...)
  Set Method:
    unknown--1217642172(...)

### Value

See `GetValue` and `SetValue`

  Get Method:
    `GetValue`(self)
  Set Method:
    `SetValue`(self, Value, Redraw)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:10 2007 | http://epydoc.sf.net